#include <iostream>
#include <cmath>
#include <stdio.h>
#include <algorithm>
#include <vector>
#include <stack>
#include <queue>

using namespace std;
typedef long long int ll;

struct num
{
    ll orig;
    ll no;
};
ll rev(ll a)
{
    ll r = 0;
    do
    {
        r = r * 10 + a % 10;
        a /= 10;
    }while(a != 0);
    return r;
}
bool cmp(num a, num b)
{
    if(a.no % 10 > b.no % 10)
        return true;
    if(a.no % 10 < b.no % 10)
        return false;
    do
    {
        int c1 = a.no % 10;
        int c2 = b.no % 10;
        if(c1 > c2)
            return true;
        if(c1 < c2)
            return false;
        a.no /= 10;
        b.no /= 10;
    }while(a.no && b.no);
    if(a.no) return true;
    return false;
}

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;
    ll *a = new ll[n];
    num *b = new num[n];
    for(int i = 0;i < n;i++)
    {
        cin >> a[i];
    }
    sort(a, a + n);
    for(int i = 0;i < n;i++)
    {
        b[i].no = rev(a[i]);
        b[i].orig = a[i];
    }
    sort(b, b + n, cmp);
    for(int i = 0;i < n;i++)
        cout << b[i].orig;
    cout << endl;
    return 0;
}
